'use strict';

var _get = require('babel-runtime/helpers/get')['default'];

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _Read = require('./Read');

var _Read2 = _interopRequireDefault(_Read);

var VISIBILITY_PUBLIC = 'public';
var VISIBILITY_PRIVATE = 'private';

var AdapterInterface = (function (_ReadInterface) {
  _inherits(AdapterInterface, _ReadInterface);

  function AdapterInterface() {
    _classCallCheck(this, AdapterInterface);

    _get(Object.getPrototypeOf(AdapterInterface.prototype), 'constructor', this).apply(this, arguments);
  }

  _createClass(AdapterInterface, [{
    key: 'write',

    /**
     * Write new file
     */
    value: function write(path, contents, config) {}

    /**
     * Write new file using stream
     */
  }, {
    key: 'writeStream',
    value: function writeStream(path, resource, config) {}

    /**
     * Update a file
     */
  }, {
    key: 'update',
    value: function update(path, contents, config) {}

    /**
     * Update a file using stream
     */
  }, {
    key: 'updateStream',
    value: function updateStream(path, resource, config) {}

    /**
     * Rename a file
     */
  }, {
    key: 'rename',
    value: function rename(path, newPath) {}

    /**
     * Copy a file
     */
  }, {
    key: 'copy',
    value: function copy(path, newPath) {}

    /**
     * Delete a file
     */
  }, {
    key: 'delete',
    value: function _delete(path) {}

    /**
     * Delete a directory
     */
  }, {
    key: 'deleteDir',
    value: function deleteDir(dirname) {}

    /**
     * Create a directory
     */
  }, {
    key: 'createDir',
    value: function createDir(dirname) {}

    /**
     * Set the visibility for a file
     */
  }, {
    key: 'setVisibility',
    value: function setVisibility(path, visibility) {}

    /**
     * get const visibility public
     */
  }], [{
    key: 'getVisibilityPublic',
    value: function getVisibilityPublic() {
      return VISIBILITY_PUBLIC;
    }

    /**
     * Get const visibility private
     */
  }, {
    key: 'getVisibilityPrivate',
    value: function getVisibilityPrivate() {
      return VISIBILITY_PRIVATE;
    }
  }]);

  return AdapterInterface;
})(_Read2['default']);

exports['default'] = AdapterInterface;
module.exports = exports['default'];